%define pkg_name        Term-Shell
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 1.n0i.7

Summary:       A simple command-line shell framework
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Term/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Term::ReadLine)


%description
Term::Shell lets you write simple command-line shells. All the boring details
like command-line parsing, terminal handling, and tab completion are handled
for you.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Sun Sep 23 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.02

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.01-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Thu May 06 2004 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.01-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sat Jul 5 2003 Marius FERARU <altblue@n0i.net> 0.01-0.n0i
- Initial build.
